<p><strong>You will not need this now! Come back to the these instructions if you need an Analytics devstack for a particular client. Note that the Analytics devstack and "edX Insights" have both been superseded by <a href="https://github.com/openedx/openedx-aspects/">Aspects</a>. Only use the info below if you are working on a client's legacy Insights system.</strong></p>
<p>The Open edX Analytics Developer stack, known as the Analytics Devstack, is a modified version of the <a href="https://github.com/edx/devstack">Open edX Developer Stack</a>. It provides all of the services and tools needed to modify the Open edX Analytics Pipeline, Data API, and Insights projects.</p>
<p>OpenCraft's clients wouldn't be using the Analytics Developer Stack (unless they wanted to make changes to any of edX's analytics repos themselves). However, OpenCraft hosts production deployments of <a href="https://insights.edx.org/">edX Insights</a> for a few clients. So if you're about to work with one of these <a href="https://private.doc.opencraft.com/maintained_instances/#maintained-instances">clients</a> you might need to install the Analytics Developer Stack.</p>
<ul>
<li>Analytics Devstack install guide: <a href="https://edx.readthedocs.io/projects/edx-installing-configuring-and-running/en/open-release-hawthorn.master/installation/install_analytics.html#installing-and-starting-analytics-devstack">Installing and Starting Analytics Devstack</a></li>
<li>edX Insights guide: <a href="https://edx.readthedocs.io/projects/edx-insights/en/latest/index.html">Using edX Insights</a></li>
</ul>